[Dark Wizard Class Transfer]:
In order to become a Phantom Summoner, the player must successfully complete three quests. The Trial of the Scholar may be undertaken by a player of level 35 or above. This quest begins by meeting with Magister Mirien of Dion Castle Town. The Testimony of Fate may be undertaken by a player of level 37 or above. This quest begins by meeting with Magister Kaira of Giran Castle Town. Finally, the Test of the Summoner may be undertaken by a player of level 39 or above. This quest begins by meeting with High Summoner Galatea of Gludin Village.
Return
Close Window